
; file plot-kernel.pro : test of function KERNEL 

  olddevicename = !d.name
  set_plot, 'ps'
  device, xoff=2.5, yoff=1, xs=15, ys=10, filename='kernel.ps'
  !p.thick=2 & !x.thick=2 & !y.thick=2 & !p.charthick=2
  u = -3. + findgen(121)/20.
  plot, u, KERNEL(u,type='rectangular'),                      $
        xrange=[-3.,3.], yrange=[0.,1.], xstyle=1, ystyle=1, $
        title='!6Kernel functions', xtitle='!6x',             $
        ytitle='!6K(x)'
  oplot, u, KERNEL(u,type='triangular'), linestyle=1
  oplot, u, KERNEL(u,type='gaussian'), linestyle=2
  device, /close
  set_plot, olddevicename
  END 
