
  FUNCTION DIV_VECTOR, K, V
; ============================================================
; DIV_VECTOR computes the divergence of a vector quantity V 
; by means of the reciprocal vectors K. 
; 
; Both K and V are expected to be structures with 3 entries 
; (.x .y .z) and 4 sub-entries (.c1 .c2 .c3 .c4). 
; 
; The result is a scalar.
; 
; JoV, 4/01
; =============================================================
  RETURN, SUMSAT(K.x,V.x) + SUMSAT(K.y,V.y) + SUMSAT(K.z,V.z) 
  END

