
  PRO OPENPS, PSFILE, DNAMEOLD, myxsize=MYXSIZE, myysize=MYYSIZE
; =======================================================================
;  OPENPS opens postscript file for b/w hardcopy output and sets 
;  device variable appropriately. 
;
;  (input)  PSFILE    : name of postscript file
;  (output) DNAMEOLD  : name of current device 
; =======================================================================
  if not keyword_set(MYXSIZE) then MYXSIZE=17.0
  if not keyword_set(MYYSIZE) then MYYSIZE=17.0
  DNAMEOLD = !D.NAME
  set_plot, 'PS'
  device, xs=MYXSIZE, ys=MYYSIZE, xoff=2.5, yoff=2.5, FILENAME=PSFILE
  END

